###################################################################################################################################################
# Copyright 2015 Orchid Systems 
# -----------------------------
# Permitted for use with Orchid Systems Modules only.
# The code is supplied on an as is basis for training and demonstration purposes only and is not supported by Orchid Systems.
# If this code is deployed in a live production environment it is the responsibility of the End User to ensure 
# that it is operating as required.
###################################################################################################################################################


from accpac import *
# This validates the Street Address fields for A/P Vendors, and checks for commas within each street field.
# If commas are found, an error is reported.
# This validates 

# onOpen is called when the view is opened.
# Return Continue to enable the macro.
# Return 0 to disable the macro.
# If you return anything else then the view will not load.
def onOpen():
	if rotoID != "AP0015":
		return 0 # don't do anything since the view is not APVEN.
	return Continue


def Validate():

	# Read each address line. Ensure there are no commas in the fields.

	errFlag = Continue

	# Vendor record was found.
	if (',') in me.get("TEXTSTRE1"):
		error("Commas are not allowed in EFT Vendor Address fields. Comma found in address line 1.")
		errFlag = 1
	if (',') in me.get("TEXTSTRE2"):
		error("Commas are not allowed in EFT Vendor Address fields. Comma found in address line 2.")
		errFlag = 1
	if (',') in me.get("TEXTSTRE3"):
		error("Commas are not allowed in EFT Vendor Address fields. Comma found in address line 3.")
		errFlag = 1
	if (',') in me.get("TEXTSTRE4"):
		error("Commas are not allowed in EFT Vendor Address fields. Comma found in address line 4.")
		errFlag = 1
			
	return errFlag


def onBeforeInsert():
	return Validate()

def onBeforeUpdate():
	return Validate()

